%global momorel 7
Summary: software for making JISX 4081 format data
Name: freepwing
Version: 1.4.4
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
URL: http://www.sra.co.jp/people/m-kasahr/freepwing/
Source0: ftp://ftp.sra.co.jp/pub/misc/freepwing/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: http://homepage3.nifty.com/satomii/freepwing/freepwing-1.4.3-sound-050213.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: perl >= 5.8.2, epwutil >= 1.1-10k
Buildarch: noarch

%description
software for making JIS X 4081 format dictionary data.

%prep
%setup -q
%patch0 -p1

%build
%configure \
  --with-pkgdocdir=%{_docdir}/%{name}-%{version} \
  --with-perllibdir=%{perl_privlib}
make

%install
rm -rf %{buildroot}
%makeinstall \
  perllibdir=%{buildroot}%{perl_privlib} \
  pkgdocdir=%{buildroot}%{_docdir}/%{name}-%{version} 

%files
%defattr(-, root, root)
%doc README NEWS AUTHORS COPYING ChangeLog doc/*.html doc/*.css catdump/*.txt
%{_bindir}/fpwmake
%{perl_privlib}/FreePWING
%{_libexecdir}/freepwing
%{_datadir}/freepwing

%clean
rm -rf %{buildroot}

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.4-7m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.4-6m)
- rebuild against gcc43

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.4.4-5m)
- rebuild against perl-5.10.0-1m

* Thu Feb 9 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.4.4-4m)
- rebuild against perl-5.8.8

* Mon Jun 13 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.4-3m)
- rebuild against perl-5.8.7

* Sun Feb 13 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.4-2m)
- apply 'freepwing-1.4.3-sound-050213.patch'

* Mon Jan 10 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.4-1m)
- version up

* Sat Aug 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.3-7m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.4.3-6m)
- remove Epoch from BuildPrereq

* Mon Mar 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.3-5m)
- rebuild against perl-5.8.2-5m

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.3-4m)
- rebuild against perl-5.8.2

* Sat Nov  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.3-3m)
- rebuild against perl-5.8.1

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.3-2m)
- rebuild against perl-5.8.0

* Sat Sep 14 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.3-1m)

* Tue Apr 23 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.4.2-2k)
- NoSource again
- add URL

* Mon Feb 18 2002 Shingo Akagaki <dora@kondara.org>
- (1.4.1-4k)
- NoNoSource..

* Wed Jan 30 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.4.1-2k)

* Sun Sep 16 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.4-2k)

* Sat Jul 07 2001 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (1.3.1-6k)
- remove freepwing-1.3.1-fpw.patch.

* Tue May 29 2001 Toru Hoshina <toru@df-usa.com>
- (1.3.1-4k)
- catdump is renamed, fpwcatdump is provided.

* Tue Nov 21 2000 Kazuhiko <kazuhiko@kondara.org>
- (1.3.1-1k)

* Thu Jun 30 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (1.2-3k)
- fix stupid mistabe (sitearch >sitelib)

* Thu Jun 30 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (1.2-2k)
- install path of perl library was changed.

* Thu Jun 29 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (1.2-1k)
- added Buildarch

* Sun Apr 02 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- 1st release
